#!/usr/bin/env python

"""The setup script."""

from setuptools import setup, find_packages

with open('README.rst') as readme_file:
    readme = readme_file.read()

with open('HISTORY.rst') as history_file:
    history = history_file.read()

requirements = [ ]

test_requirements = [ ]

setup(
    author="Leon Michel Gorissen",
    author_email='leon.gorissen@rwth-aachen.de',
    python_requires='>=3.6',
    classifiers=[
        'Development Status :: 2 - Pre-Alpha',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: MIT License',
        'Natural Language :: English',
        #'Programming Language :: Python :: 3',
        #'Programming Language :: Python :: 3.6',
        #'Programming Language :: Python :: 3.7',
        #'Programming Language :: Python :: 3.8',
        'Programming Language :: Python :: 3.9',
    ],
    description="Reimplementation of Kovacs 2021: Finding invariances in sensory coding through gradient methods. in PyTorch.",
    install_requires=requirements,
    license="MIT license",
    long_description=readme + '\n\n' + history,
    include_package_data=True,
    keywords='csng_invariances',
    name='csng_invariances',
    packages=find_packages(include=['csng_invariances', 'csng_invariances.*']),
    test_suite='tests',
    tests_require=test_requirements,
    url='https://github.com/leeeeon4/csng_invariances',
    version='0.0.1',
    zip_safe=False,
)
